Bug 211766 - Fails to build on x86_64
Fails to build on x86_64
Product: Fedora
Classification: Fedora
Component: python-reportlab (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-10-22 06:46 EDT by Michael Schwendt
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.20-3.fc3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-30 11:03:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2006-10-22 06:46:30 EDT
python-reportlab x86_64 build is an older version than the i386 build. Looks like this is from pre-buildsystem time.
Comment 2 Michael Schwendt 2006-10-22 07:47:29 EDT
Failed due to sitelib<->sitearch, so I syned with FC-4:

Build servers cause trouble currently, so it may be necessary
to requeue this one.
Comment 3 Michael Schwendt 2006-10-22 11:39:34 EDT
[re-using this bug with changed Summary...]

In short:
Rebuilding the src.rpm on an x86_64 machine fails.


So, hammer3 hangs, but hammer2 (x86_64 machine) failed to rebuild the
package: http://buildsys.fedoraproject.org/build-status/job.psp?uid=20087

It installed some files into python_sitearch, not python_sitelib, and
then failed to include the installed /usr/lib64/python... files.

I've hacked the FC-3 spec to use a link from /usr/lib64 to /usr/lib
during %install, but that is sub-optimal. Job #20093 succeeded. noarch
package will be in next push.

Keeping this bug open, so you are aware that rebuild failures can
happen when an x86_64 build server is used.

I assume that FC-4 and newer are affected, too.
Comment 4 Brian Pepple 2006-10-23 10:37:47 EDT
Thanks for the heads up.
Comment 5 Kostas Georgiou 2006-10-24 19:21:40 EDT
patching setup.py to use this:
  from distutils.sysconfig import get_python_lib
  package_path = pjoin(get_python_lib(), 'reportlab')
instead of:
  package_path = pjoin(package_home(distutils.__dict__), 'site-packages',
seems to work for me under RHEL4 which is more or less the same as FC3
Comment 6 Christian Iseli 2007-01-17 18:18:10 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.


Your friendly BZ janitor :-)

Note You need to log in before you can comment on or make changes to this bug.